> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-87860eff.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project

> Get a project of an organiztion



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/projects/{projectUuid}
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3232.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}:
    get:
      tags:
        - Projects
      summary: Get project
      description: Get a project of an organiztion
      operationId: GetProject
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiProjectResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiProjectResponse:
      properties:
        results:
          $ref: '#/components/schemas/Project'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    Project:
      properties:
        expiresAt:
          type: string
          format: date-time
          nullable: true
        colorPaletteUuid:
          type: string
          nullable: true
        projectDefaults:
          $ref: '#/components/schemas/ProjectDefaults'
        hasDefaultUserSpaces:
          type: boolean
        organizationWarehouseCredentialsUuid:
          type: string
        createdByUserUuid:
          type: string
          nullable: true
        schedulerFailureContactOverride:
          type: string
          nullable: true
        schedulerFailureIncludeContact:
          type: boolean
        schedulerFailureNotifyRecipients:
          type: boolean
        useProjectTimezoneInFilters:
          type: boolean
        queryTimezone:
          type: string
          nullable: true
        schedulerTimezone:
          type: string
        dbtVersion:
          $ref: '#/components/schemas/DbtVersionOption'
        upstreamProjectUuid:
          type: string
        pinnedListUuid:
          type: string
        warehouseConnection:
          $ref: '#/components/schemas/WarehouseCredentials'
        dbtConnection:
          $ref: '#/components/schemas/DbtProjectConfig'
        type:
          $ref: '#/components/schemas/ProjectType'
        name:
          type: string
        projectUuid:
          type: string
        organizationUuid:
          type: string
      required:
        - expiresAt
        - colorPaletteUuid
        - hasDefaultUserSpaces
        - createdByUserUuid
        - schedulerFailureContactOverride
        - schedulerFailureIncludeContact
        - schedulerFailureNotifyRecipients
        - useProjectTimezoneInFilters
        - queryTimezone
        - schedulerTimezone
        - dbtVersion
        - dbtConnection
        - type
        - name
        - projectUuid
        - organizationUuid
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    ProjectDefaults:
      properties:
        column_totals:
          type: boolean
          description: |-
            Default behavior for column totals in results tables.
            When false, the extra warehouse query that calculates column totals
            is not run by default for new queries. Charts that explicitly enable
            "Show column totals" still calculate them.
            Defaults to true if not specified.
        case_sensitive:
          type: boolean
          description: |-
            Default case sensitivity for string filters across the project.
            When false, all string filters will be case insensitive by default.
            Can be overridden at explore or field level.
            Defaults to true if not specified.
      type: object
      description: >-
        Project-wide default settings that can be overridden at explore or field
        level
    DbtVersionOption:
      anyOf:
        - $ref: '#/components/schemas/SupportedDbtVersions'
        - $ref: '#/components/schemas/DbtVersionOptionLatest'
    WarehouseCredentials:
      anyOf:
        - $ref: '#/components/schemas/SnowflakeCredentials'
        - $ref: '#/components/schemas/RedshiftCredentials'
        - $ref: '#/components/schemas/PostgresCredentials'
        - $ref: '#/components/schemas/BigqueryCredentials'
        - $ref: '#/components/schemas/DatabricksCredentials'
        - $ref: '#/components/schemas/TrinoCredentials'
        - $ref: '#/components/schemas/ClickhouseCredentials'
        - $ref: '#/components/schemas/AthenaCredentials'
        - $ref: '#/components/schemas/DuckdbCredentials'
    DbtProjectConfig:
      anyOf:
        - $ref: '#/components/schemas/DbtLocalProjectConfig'
        - $ref: '#/components/schemas/DbtCloudIDEProjectConfig'
        - $ref: '#/components/schemas/DbtGithubProjectConfig'
        - $ref: '#/components/schemas/DbtBitBucketProjectConfig'
        - $ref: '#/components/schemas/DbtGitlabProjectConfig'
        - $ref: '#/components/schemas/DbtAzureDevOpsProjectConfig'
        - $ref: '#/components/schemas/DbtNoneProjectConfig'
        - $ref: '#/components/schemas/DbtManifestProjectConfig'
    ProjectType:
      enum:
        - DEFAULT
        - PREVIEW
      type: string
    SupportedDbtVersions:
      enum:
        - v1.4
        - v1.5
        - v1.6
        - v1.7
        - v1.8
        - v1.9
        - v1.10
        - v1.11
      type: string
    DbtVersionOptionLatest:
      enum:
        - latest
      type: string
    SnowflakeCredentials:
      $ref: >-
        #/components/schemas/Omit_CreateSnowflakeCredentials.SensitiveCredentialsFieldNames_
    RedshiftCredentials:
      $ref: >-
        #/components/schemas/Omit_CreateRedshiftCredentials.SensitiveCredentialsFieldNames_
    PostgresCredentials:
      $ref: >-
        #/components/schemas/Omit_CreatePostgresCredentials.SensitiveCredentialsFieldNames_
    BigqueryCredentials:
      $ref: >-
        #/components/schemas/Omit_CreateBigqueryCredentials.SensitiveCredentialsFieldNames_
    DatabricksCredentials:
      $ref: >-
        #/components/schemas/Omit_CreateDatabricksCredentials.SensitiveCredentialsFieldNames_
    TrinoCredentials:
      $ref: >-
        #/components/schemas/Omit_CreateTrinoCredentials.SensitiveCredentialsFieldNames_
    ClickhouseCredentials:
      $ref: >-
        #/components/schemas/Omit_CreateClickhouseCredentials.SensitiveCredentialsFieldNames_
    AthenaCredentials:
      $ref: >-
        #/components/schemas/Omit_CreateAthenaCredentials.SensitiveCredentialsFieldNames_
    DuckdbCredentials:
      anyOf:
        - $ref: '#/components/schemas/DuckdbMotherduckCredentials'
        - $ref: '#/components/schemas/DuckdbDucklakeCredentials'
    DbtLocalProjectConfig:
      properties:
        type:
          $ref: '#/components/schemas/DbtProjectType.DBT'
        target:
          type: string
        environment:
          items:
            $ref: '#/components/schemas/DbtProjectEnvironmentVariable'
          type: array
        selector:
          type: string
        profiles_dir:
          type: string
        project_dir:
          type: string
      required:
        - type
      type: object
      additionalProperties: true
    DbtCloudIDEProjectConfig:
      properties:
        type:
          $ref: '#/components/schemas/DbtProjectType.DBT_CLOUD_IDE'
        api_key:
          type: string
        environment_id:
          type: string
        discovery_api_endpoint:
          type: string
        tags:
          items:
            type: string
          type: array
        webhook_hmac_secret:
          type: string
      required:
        - type
        - api_key
        - environment_id
      type: object
      additionalProperties: true
    DbtGithubProjectConfig:
      properties:
        type:
          $ref: '#/components/schemas/DbtProjectType.GITHUB'
        target:
          type: string
        environment:
          items:
            $ref: '#/components/schemas/DbtProjectEnvironmentVariable'
          type: array
        selector:
          type: string
        authorization_method:
          type: string
          enum:
            - personal_access_token
            - installation_id
        personal_access_token:
          type: string
        installation_id:
          type: string
        repository:
          type: string
        branch:
          type: string
        project_sub_path:
          type: string
        host_domain:
          type: string
      required:
        - type
        - authorization_method
        - repository
        - branch
        - project_sub_path
      type: object
      additionalProperties: true
    DbtBitBucketProjectConfig:
      properties:
        type:
          $ref: '#/components/schemas/DbtProjectType.BITBUCKET'
        target:
          type: string
        environment:
          items:
            $ref: '#/components/schemas/DbtProjectEnvironmentVariable'
          type: array
        selector:
          type: string
        username:
          type: string
        personal_access_token:
          type: string
        repository:
          type: string
        branch:
          type: string
        project_sub_path:
          type: string
        host_domain:
          type: string
      required:
        - type
        - username
        - personal_access_token
        - repository
        - branch
        - project_sub_path
      type: object
      additionalProperties: true
    DbtGitlabProjectConfig:
      properties:
        type:
          $ref: '#/components/schemas/DbtProjectType.GITLAB'
        target:
          type: string
        environment:
          items:
            $ref: '#/components/schemas/DbtProjectEnvironmentVariable'
          type: array
        selector:
          type: string
        personal_access_token:
          type: string
        repository:
          type: string
        branch:
          type: string
        project_sub_path:
          type: string
        host_domain:
          type: string
      required:
        - type
        - personal_access_token
        - repository
        - branch
        - project_sub_path
      type: object
      additionalProperties: true
    DbtAzureDevOpsProjectConfig:
      properties:
        type:
          $ref: '#/components/schemas/DbtProjectType.AZURE_DEVOPS'
        target:
          type: string
        environment:
          items:
            $ref: '#/components/schemas/DbtProjectEnvironmentVariable'
          type: array
        selector:
          type: string
        personal_access_token:
          type: string
        organization:
          type: string
        project:
          type: string
        repository:
          type: string
        branch:
          type: string
        project_sub_path:
          type: string
      required:
        - type
        - personal_access_token
        - organization
        - project
        - repository
        - branch
        - project_sub_path
      type: object
      additionalProperties: true
    DbtNoneProjectConfig:
      properties:
        type:
          $ref: '#/components/schemas/DbtProjectType.NONE'
        target:
          type: string
        environment:
          items:
            $ref: '#/components/schemas/DbtProjectEnvironmentVariable'
          type: array
        selector:
          type: string
        hideRefreshButton:
          type: boolean
      required:
        - type
      type: object
      additionalProperties: true
    DbtManifestProjectConfig:
      properties:
        type:
          $ref: '#/components/schemas/DbtProjectType.MANIFEST'
        manifest:
          type: string
        hideRefreshButton:
          type: boolean
      required:
        - type
        - manifest
        - hideRefreshButton
      type: object
      additionalProperties: true
    Omit_CreateSnowflakeCredentials.SensitiveCredentialsFieldNames_:
      $ref: >-
        #/components/schemas/Pick_CreateSnowflakeCredentials.Exclude_keyofCreateSnowflakeCredentials.SensitiveCredentialsFieldNames__
      description: Construct a type with the properties of T except for those in type K.
    Omit_CreateRedshiftCredentials.SensitiveCredentialsFieldNames_:
      $ref: >-
        #/components/schemas/Pick_CreateRedshiftCredentials.Exclude_keyofCreateRedshiftCredentials.SensitiveCredentialsFieldNames__
      description: Construct a type with the properties of T except for those in type K.
    Omit_CreatePostgresCredentials.SensitiveCredentialsFieldNames_:
      $ref: >-
        #/components/schemas/Pick_CreatePostgresCredentials.Exclude_keyofCreatePostgresCredentials.SensitiveCredentialsFieldNames__
      description: Construct a type with the properties of T except for those in type K.
    Omit_CreateBigqueryCredentials.SensitiveCredentialsFieldNames_:
      $ref: >-
        #/components/schemas/Pick_CreateBigqueryCredentials.Exclude_keyofCreateBigqueryCredentials.SensitiveCredentialsFieldNames__
      description: Construct a type with the properties of T except for those in type K.
    Omit_CreateDatabricksCredentials.SensitiveCredentialsFieldNames_:
      $ref: >-
        #/components/schemas/Pick_CreateDatabricksCredentials.Exclude_keyofCreateDatabricksCredentials.SensitiveCredentialsFieldNames__
      description: Construct a type with the properties of T except for those in type K.
    Omit_CreateTrinoCredentials.SensitiveCredentialsFieldNames_:
      $ref: >-
        #/components/schemas/Pick_CreateTrinoCredentials.Exclude_keyofCreateTrinoCredentials.SensitiveCredentialsFieldNames__
      description: Construct a type with the properties of T except for those in type K.
    Omit_CreateClickhouseCredentials.SensitiveCredentialsFieldNames_:
      $ref: >-
        #/components/schemas/Pick_CreateClickhouseCredentials.Exclude_keyofCreateClickhouseCredentials.SensitiveCredentialsFieldNames__
      description: Construct a type with the properties of T except for those in type K.
    Omit_CreateAthenaCredentials.SensitiveCredentialsFieldNames_:
      $ref: >-
        #/components/schemas/Pick_CreateAthenaCredentials.Exclude_keyofCreateAthenaCredentials.SensitiveCredentialsFieldNames__
      description: Construct a type with the properties of T except for those in type K.
    DuckdbMotherduckCredentials:
      $ref: >-
        #/components/schemas/Omit_CreateDuckdbMotherduckCredentials.SensitiveCredentialsFieldNames_
    DuckdbDucklakeCredentials:
      allOf:
        - $ref: >-
            #/components/schemas/Omit_CreateDuckdbDucklakeCredentials.catalog-or-dataPath_
        - properties:
            dataPath:
              $ref: '#/components/schemas/DucklakeDataPath'
            catalog:
              $ref: '#/components/schemas/DucklakeCatalog'
          required:
            - dataPath
            - catalog
          type: object
    DbtProjectType.DBT:
      enum:
        - dbt
      type: string
    DbtProjectEnvironmentVariable:
      properties:
        value:
          type: string
        key:
          type: string
      required:
        - value
        - key
      type: object
    DbtProjectType.DBT_CLOUD_IDE:
      enum:
        - dbt_cloud_ide
      type: string
    DbtProjectType.GITHUB:
      enum:
        - github
      type: string
    DbtProjectType.BITBUCKET:
      enum:
        - bitbucket
      type: string
    DbtProjectType.GITLAB:
      enum:
        - gitlab
      type: string
    DbtProjectType.AZURE_DEVOPS:
      enum:
        - azure_devops
      type: string
    DbtProjectType.NONE:
      enum:
        - none
      type: string
    DbtProjectType.MANIFEST:
      enum:
        - manifest
      type: string
    Pick_CreateSnowflakeCredentials.Exclude_keyofCreateSnowflakeCredentials.SensitiveCredentialsFieldNames__:
      properties:
        type:
          $ref: '#/components/schemas/WarehouseTypes.SNOWFLAKE'
        account:
          type: string
        requireUserCredentials:
          type: boolean
        authenticationType:
          $ref: '#/components/schemas/SnowflakeAuthenticationType'
        role:
          type: string
        database:
          type: string
        warehouse:
          type: string
        schema:
          type: string
        threads:
          type: number
          format: double
        clientSessionKeepAlive:
          type: boolean
        queryTag:
          type: string
        accessUrl:
          type: string
        startOfWeek:
          allOf:
            - $ref: '#/components/schemas/WeekDay'
          nullable: true
        dataTimezone:
          type: string
        quotedIdentifiersIgnoreCase:
          type: boolean
        disableTimestampConversion:
          type: boolean
        timeoutSeconds:
          type: number
          format: double
        override:
          type: boolean
        organizationWarehouseCredentialsUuid:
          type: string
      required:
        - type
        - account
        - database
        - warehouse
        - schema
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_CreateRedshiftCredentials.Exclude_keyofCreateRedshiftCredentials.SensitiveCredentialsFieldNames__:
      properties:
        type:
          $ref: '#/components/schemas/WarehouseTypes.REDSHIFT'
        requireUserCredentials:
          type: boolean
        authenticationType:
          $ref: '#/components/schemas/RedshiftAuthenticationType'
        schema:
          type: string
        threads:
          type: number
          format: double
        startOfWeek:
          allOf:
            - $ref: '#/components/schemas/WeekDay'
          nullable: true
        dataTimezone:
          type: string
        timeoutSeconds:
          type: number
          format: double
        useSshTunnel:
          type: boolean
        sshTunnelHost:
          type: string
        sshTunnelPort:
          type: number
          format: double
        sshTunnelUser:
          type: string
        sshTunnelPublicKey:
          type: string
        host:
          type: string
        port:
          type: number
          format: double
        dbname:
          type: string
        keepalivesIdle:
          type: number
          format: double
        sslmode:
          type: string
        ra3Node:
          type: boolean
        region:
          type: string
        isServerless:
          type: boolean
        clusterIdentifier:
          type: string
        workgroupName:
          type: string
        autoCreate:
          type: boolean
        dbGroups:
          items:
            type: string
          type: array
        assumeRoleArn:
          type: string
        assumeRoleExternalId:
          type: string
      required:
        - type
        - schema
        - host
        - port
        - dbname
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_CreatePostgresCredentials.Exclude_keyofCreatePostgresCredentials.SensitiveCredentialsFieldNames__:
      properties:
        type:
          $ref: '#/components/schemas/WarehouseTypes.POSTGRES'
        requireUserCredentials:
          type: boolean
        role:
          type: string
        schema:
          type: string
        threads:
          type: number
          format: double
        startOfWeek:
          allOf:
            - $ref: '#/components/schemas/WeekDay'
          nullable: true
        dataTimezone:
          type: string
        timeoutSeconds:
          type: number
          format: double
        useSshTunnel:
          type: boolean
        sshTunnelHost:
          type: string
        sshTunnelPort:
          type: number
          format: double
        sshTunnelUser:
          type: string
        sshTunnelPublicKey:
          type: string
        host:
          type: string
        port:
          type: number
          format: double
        dbname:
          type: string
        keepalivesIdle:
          type: number
          format: double
        sslmode:
          type: string
        sslcertFileName:
          type: string
        sslkeyFileName:
          type: string
        sslrootcertFileName:
          type: string
        searchPath:
          type: string
      required:
        - type
        - schema
        - host
        - port
        - dbname
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_CreateBigqueryCredentials.Exclude_keyofCreateBigqueryCredentials.SensitiveCredentialsFieldNames__:
      properties:
        type:
          $ref: '#/components/schemas/WarehouseTypes.BIGQUERY'
        requireUserCredentials:
          type: boolean
        authenticationType:
          $ref: '#/components/schemas/BigqueryAuthenticationType'
        threads:
          type: number
          format: double
        accessUrl:
          type: string
        startOfWeek:
          allOf:
            - $ref: '#/components/schemas/WeekDay'
          nullable: true
        dataTimezone:
          type: string
        timeoutSeconds:
          type: number
          format: double
        project:
          type: string
        dataset:
          type: string
        priority:
          type: string
          enum:
            - interactive
            - batch
        retries:
          type: number
          format: double
        location:
          type: string
        maximumBytesBilled:
          type: number
          format: double
        executionProject:
          type: string
      required:
        - type
        - project
        - dataset
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_CreateDatabricksCredentials.Exclude_keyofCreateDatabricksCredentials.SensitiveCredentialsFieldNames__:
      properties:
        type:
          $ref: '#/components/schemas/WarehouseTypes.DATABRICKS'
        catalog:
          type: string
        requireUserCredentials:
          type: boolean
        authenticationType:
          $ref: '#/components/schemas/DatabricksAuthenticationType'
        database:
          type: string
        startOfWeek:
          allOf:
            - $ref: '#/components/schemas/WeekDay'
          nullable: true
        dataTimezone:
          type: string
        serverHostName:
          type: string
        httpPath:
          type: string
        compute:
          items:
            properties:
              httpPath:
                type: string
              name:
                type: string
            required:
              - httpPath
              - name
            type: object
          type: array
      required:
        - type
        - database
        - serverHostName
        - httpPath
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_CreateTrinoCredentials.Exclude_keyofCreateTrinoCredentials.SensitiveCredentialsFieldNames__:
      properties:
        type:
          $ref: '#/components/schemas/WarehouseTypes.TRINO'
        requireUserCredentials:
          type: boolean
        schema:
          type: string
        startOfWeek:
          allOf:
            - $ref: '#/components/schemas/WeekDay'
          nullable: true
        dataTimezone:
          type: string
        host:
          type: string
        port:
          type: number
          format: double
        dbname:
          type: string
        http_scheme:
          type: string
        source:
          type: string
      required:
        - type
        - schema
        - host
        - port
        - dbname
        - http_scheme
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_CreateClickhouseCredentials.Exclude_keyofCreateClickhouseCredentials.SensitiveCredentialsFieldNames__:
      properties:
        type:
          $ref: '#/components/schemas/WarehouseTypes.CLICKHOUSE'
        requireUserCredentials:
          type: boolean
        schema:
          type: string
        startOfWeek:
          allOf:
            - $ref: '#/components/schemas/WeekDay'
          nullable: true
        dataTimezone:
          type: string
        timeoutSeconds:
          type: number
          format: double
        host:
          type: string
        port:
          type: number
          format: double
        secure:
          type: boolean
      required:
        - type
        - schema
        - host
        - port
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_CreateAthenaCredentials.Exclude_keyofCreateAthenaCredentials.SensitiveCredentialsFieldNames__:
      properties:
        type:
          $ref: '#/components/schemas/WarehouseTypes.ATHENA'
        requireUserCredentials:
          type: boolean
        authenticationType:
          $ref: '#/components/schemas/AthenaAuthenticationType'
        database:
          type: string
        schema:
          type: string
        threads:
          type: number
          format: double
        startOfWeek:
          allOf:
            - $ref: '#/components/schemas/WeekDay'
          nullable: true
        dataTimezone:
          type: string
        region:
          type: string
        assumeRoleArn:
          type: string
        assumeRoleExternalId:
          type: string
        s3StagingDir:
          type: string
        s3DataDir:
          type: string
        workGroup:
          type: string
        numRetries:
          type: number
          format: double
      required:
        - type
        - database
        - schema
        - region
        - s3StagingDir
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Omit_CreateDuckdbMotherduckCredentials.SensitiveCredentialsFieldNames_:
      $ref: >-
        #/components/schemas/Pick_CreateDuckdbMotherduckCredentials.Exclude_keyofCreateDuckdbMotherduckCredentials.SensitiveCredentialsFieldNames__
      description: Construct a type with the properties of T except for those in type K.
    Omit_CreateDuckdbDucklakeCredentials.catalog-or-dataPath_:
      $ref: >-
        #/components/schemas/Pick_CreateDuckdbDucklakeCredentials.Exclude_keyofCreateDuckdbDucklakeCredentials.catalog-or-dataPath__
      description: Construct a type with the properties of T except for those in type K.
    DucklakeDataPath:
      anyOf:
        - $ref: '#/components/schemas/DucklakeDataPathS3'
        - $ref: '#/components/schemas/DucklakeDataPathGcs'
        - $ref: '#/components/schemas/DucklakeDataPathAzure'
        - $ref: '#/components/schemas/DucklakeDataPathLocal'
    DucklakeCatalog:
      anyOf:
        - $ref: '#/components/schemas/DucklakeCatalogPostgres'
        - $ref: '#/components/schemas/DucklakeCatalogSqlite'
        - $ref: '#/components/schemas/DucklakeCatalogDuckdb'
    WarehouseTypes.SNOWFLAKE:
      enum:
        - snowflake
      type: string
    SnowflakeAuthenticationType:
      enum:
        - password
        - private_key
        - sso
        - external_browser
        - none
      type: string
    WeekDay:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      type: number
    WarehouseTypes.REDSHIFT:
      enum:
        - redshift
      type: string
    RedshiftAuthenticationType:
      enum:
        - password
        - iam
      type: string
    WarehouseTypes.POSTGRES:
      enum:
        - postgres
      type: string
    WarehouseTypes.BIGQUERY:
      enum:
        - bigquery
      type: string
    BigqueryAuthenticationType:
      enum:
        - sso
        - private_key
        - adc
      type: string
    WarehouseTypes.DATABRICKS:
      enum:
        - databricks
      type: string
    DatabricksAuthenticationType:
      enum:
        - personal_access_token
        - oauth_m2m
        - oauth_u2m
      type: string
    WarehouseTypes.TRINO:
      enum:
        - trino
      type: string
    WarehouseTypes.CLICKHOUSE:
      enum:
        - clickhouse
      type: string
    WarehouseTypes.ATHENA:
      enum:
        - athena
      type: string
    AthenaAuthenticationType:
      enum:
        - access_key
        - iam_role
      type: string
    Pick_CreateDuckdbMotherduckCredentials.Exclude_keyofCreateDuckdbMotherduckCredentials.SensitiveCredentialsFieldNames__:
      properties:
        type:
          $ref: '#/components/schemas/WarehouseTypes.DUCKDB'
        requireUserCredentials:
          type: boolean
        database:
          type: string
        schema:
          type: string
        threads:
          type: number
          format: double
        startOfWeek:
          allOf:
            - $ref: '#/components/schemas/WeekDay'
          nullable: true
        dataTimezone:
          type: string
        connectionType:
          $ref: '#/components/schemas/DuckdbConnectionType.MOTHERDUCK'
      required:
        - type
        - database
        - schema
        - connectionType
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_CreateDuckdbDucklakeCredentials.Exclude_keyofCreateDuckdbDucklakeCredentials.catalog-or-dataPath__:
      properties:
        type:
          $ref: '#/components/schemas/WarehouseTypes.DUCKDB'
        requireUserCredentials:
          type: boolean
        schema:
          type: string
        threads:
          type: number
          format: double
        startOfWeek:
          allOf:
            - $ref: '#/components/schemas/WeekDay'
          nullable: true
        dataTimezone:
          type: string
        connectionType:
          $ref: '#/components/schemas/DuckdbConnectionType.DUCKLAKE'
        catalogAlias:
          type: string
      required:
        - type
        - schema
        - connectionType
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    DucklakeDataPathS3:
      $ref: >-
        #/components/schemas/Omit_CreateDucklakeDataPathS3.accessKeyId-or-secretAccessKey_
    DucklakeDataPathGcs:
      $ref: >-
        #/components/schemas/Omit_CreateDucklakeDataPathGcs.hmacKeyId-or-hmacSecret_
    DucklakeDataPathAzure:
      $ref: >-
        #/components/schemas/Omit_CreateDucklakeDataPathAzure.connectionString-or-accountKey_
    DucklakeDataPathLocal:
      $ref: '#/components/schemas/CreateDucklakeDataPathLocal'
    DucklakeCatalogPostgres:
      $ref: >-
        #/components/schemas/Omit_CreateDucklakeCatalogPostgres.user-or-password_
    DucklakeCatalogSqlite:
      $ref: '#/components/schemas/CreateDucklakeCatalogSqlite'
    DucklakeCatalogDuckdb:
      $ref: '#/components/schemas/CreateDucklakeCatalogDuckdb'
    WarehouseTypes.DUCKDB:
      enum:
        - duckdb
      type: string
    DuckdbConnectionType.MOTHERDUCK:
      enum:
        - motherduck
      type: string
    DuckdbConnectionType.DUCKLAKE:
      enum:
        - ducklake
      type: string
    Omit_CreateDucklakeDataPathS3.accessKeyId-or-secretAccessKey_:
      $ref: >-
        #/components/schemas/Pick_CreateDucklakeDataPathS3.Exclude_keyofCreateDucklakeDataPathS3.accessKeyId-or-secretAccessKey__
      description: Construct a type with the properties of T except for those in type K.
    Omit_CreateDucklakeDataPathGcs.hmacKeyId-or-hmacSecret_:
      $ref: >-
        #/components/schemas/Pick_CreateDucklakeDataPathGcs.Exclude_keyofCreateDucklakeDataPathGcs.hmacKeyId-or-hmacSecret__
      description: Construct a type with the properties of T except for those in type K.
    Omit_CreateDucklakeDataPathAzure.connectionString-or-accountKey_:
      $ref: >-
        #/components/schemas/Pick_CreateDucklakeDataPathAzure.Exclude_keyofCreateDucklakeDataPathAzure.connectionString-or-accountKey__
      description: Construct a type with the properties of T except for those in type K.
    CreateDucklakeDataPathLocal:
      properties:
        path:
          type: string
        type:
          $ref: '#/components/schemas/DucklakeDataPathType.LOCAL'
      required:
        - path
        - type
      type: object
    Omit_CreateDucklakeCatalogPostgres.user-or-password_:
      $ref: >-
        #/components/schemas/Pick_CreateDucklakeCatalogPostgres.Exclude_keyofCreateDucklakeCatalogPostgres.user-or-password__
      description: Construct a type with the properties of T except for those in type K.
    CreateDucklakeCatalogSqlite:
      properties:
        path:
          type: string
        type:
          $ref: '#/components/schemas/DucklakeCatalogType.SQLITE'
      required:
        - path
        - type
      type: object
    CreateDucklakeCatalogDuckdb:
      properties:
        path:
          type: string
        type:
          $ref: '#/components/schemas/DucklakeCatalogType.DUCKDB'
      required:
        - path
        - type
      type: object
    Pick_CreateDucklakeDataPathS3.Exclude_keyofCreateDucklakeDataPathS3.accessKeyId-or-secretAccessKey__:
      properties:
        type:
          $ref: '#/components/schemas/DucklakeDataPathType.S3'
        url:
          type: string
        region:
          type: string
        endpoint:
          type: string
        forcePathStyle:
          type: boolean
        useSsl:
          type: boolean
      required:
        - type
        - url
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_CreateDucklakeDataPathGcs.Exclude_keyofCreateDucklakeDataPathGcs.hmacKeyId-or-hmacSecret__:
      properties:
        type:
          $ref: '#/components/schemas/DucklakeDataPathType.GCS'
        url:
          type: string
      required:
        - type
        - url
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_CreateDucklakeDataPathAzure.Exclude_keyofCreateDucklakeDataPathAzure.connectionString-or-accountKey__:
      properties:
        type:
          $ref: '#/components/schemas/DucklakeDataPathType.AZURE'
        url:
          type: string
        accountName:
          type: string
      required:
        - type
        - url
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    DucklakeDataPathType.LOCAL:
      enum:
        - local
      type: string
    Pick_CreateDucklakeCatalogPostgres.Exclude_keyofCreateDucklakeCatalogPostgres.user-or-password__:
      properties:
        type:
          $ref: '#/components/schemas/DucklakeCatalogType.POSTGRES'
        database:
          type: string
        host:
          type: string
        port:
          type: number
          format: double
      required:
        - type
        - database
        - host
        - port
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    DucklakeCatalogType.SQLITE:
      enum:
        - sqlite
      type: string
    DucklakeCatalogType.DUCKDB:
      enum:
        - duckdb
      type: string
    DucklakeDataPathType.S3:
      enum:
        - s3
      type: string
    DucklakeDataPathType.GCS:
      enum:
        - gcs
      type: string
    DucklakeDataPathType.AZURE:
      enum:
        - azure
      type: string
    DucklakeCatalogType.POSTGRES:
      enum:
        - postgres
      type: string

````